package com.jasamedika.medifirst2000.service.impl;

import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.UUID;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.jpa.JpaSystemException;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;


	

import com.jasamedika.medifirst2000.exception.ServiceVOException;
import com.jasamedika.medifirst2000.service.JenisGajiService;
import com.jasamedika.medifirst2000.util.CommonUtil;
import com.jasamedika.medifirst2000.entities.JenisGaji;
import com.jasamedika.medifirst2000.vo.JenisGajiVO;
import com.jasamedika.medifirst2000.converter.BaseConverterImpl;
import com.jasamedika.medifirst2000.dao.JenisGajiDao;

/**
 * Implement class for JenisGajiService
 * 
 * @author Generator
 * @param <T>
 */
@Service("jenisGajiService")
public class JenisGajiServiceImpl extends BaseVoServiceImpl implements JenisGajiService 
{	
	@Autowired
	private BaseConverterImpl<JenisGajiVO,JenisGaji>jenisGajiConverter;
	
	@Autowired
	private JenisGajiDao jenisGajiDao;

	@Override
	public Map<String, Object> saveJenisGaji(JenisGajiVO vo) {
		Map<String, Object> result = new HashMap<String, Object>();
		JenisGaji model = new JenisGaji();
		model = jenisGajiConverter.transferVOToModel(vo,model);
		
		JenisGaji resultDomain = jenisGajiDao.save(model);
		if (CommonUtil.isNotNullOrEmpty(resultDomain)) {
			result.put("noRec", resultDomain.getNoRec());
		}

		return result;
	}
}